#include <stdio.h>
#include "elisa3-lib.h"

#define NUM_ROBOTS 4

int main(int argc, char *argv[]) {

    unsigned int k=0;
    int robotAddress[NUM_ROBOTS];

    for(k=0; k<NUM_ROBOTS; k++) {
        printf("\r\nInsert the robot address %d: ", k);
        scanf("%d", &robotAddress[k]);
    }

//    robotAddress[0] = 3324;
//    robotAddress[1] = 3295;
//    robotAddress[2] = 3379;
//    robotAddress[3] = 3404;


    // init the communication with the robots; set the addresses and number of the robots to control
    startCommunication(robotAddress, NUM_ROBOTS);

    for(k=0; k<NUM_ROBOTS; k++) {
        turnOnBackIR(robotAddress[k]);
        if(waitForUpdate(robotAddress[k], 100000)) { // wait for at most 100 ms
            printf("cannot reach robot %d\r\n", robotAddress[k]);
        }
    }

    stopCommunication();

	return 0;

}

